## Apache Zeta Components Manual :: Docs For Class ezcPersistentObject

### PersistentObject::ezcPersistentObject

### Interface ezcPersistentObject

ezcPersistentObject is an (optional) interface for classes that provide persistent objects.

The PersistentObject component does not require a class to inherit from a certain base class or implement a certain interface to be used with the component. However, this interface can (optionally) be implemented by your persistent classes, to ensure they provide all necessary methods.

Source for this file: /PersistentObject/src/interfaces/persistent_object.php

Version: | //autogen//

### Method Summary

public array(string=>mixed) | `getState( )` Returns the current state of an object.
public void | `setState( $state )` Sets the state of the object.

### Methods

#### getState

array(string=>mixed) getState( )

Returns the current state of an object.

This method returns an array representing the current state of the object. The array must contain a key for every attribute of the object, assigned to the value of the attribute. The key must be the name of the object property, not the database column name.

#### setState

void setState( $state )

Sets the state of the object.

This method sets the state of the object accoring to a given array, which must conform to the standards defined at getState(). The $state array is indexed by object property names (not database column names) which have the desired property value assigned.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$state` | array | The new state for the object.

Documentation generated by phpDocumentor 1.4.3